aboutsummaryrefslogtreecommitdiffstats
path: root/installation/sdnc/src/main/scripts/startODL.sh
diff options
context:
space:
mode:
authorMichael Dürre <michael.duerre@highstreet-technologies.com>2024-03-22 12:01:26 +0100
committerMichael Dürre <michael.duerre@highstreet-technologies.com>2024-03-22 12:37:38 +0100
commit5333d28234d7af69524d88eb5eee77748e1cbb16 (patch)
tree657f2cb39777f06182cabae7418513c23a473f87 /installation/sdnc/src/main/scripts/startODL.sh
parent442ee40b69056fe4e3eab8267d7129df8527cf19 (diff)
fix oauth startup issues
add boot feature into repo. fix oauth config Issue-ID: SDNC-1838 Change-Id: I638a2de35d7725d6e4136bf9f10e00102764acc2 Signed-off-by: Michael Dürre <michael.duerre@highstreet-technologies.com>
Diffstat (limited to 'installation/sdnc/src/main/scripts/startODL.sh')
-rwxr-xr-xinstallation/sdnc/src/main/scripts/startODL.sh14
1 files changed, 11 insertions, 3 deletions
diff --git a/installation/sdnc/src/main/scripts/startODL.sh b/installation/sdnc/src/main/scripts/startODL.sh
index 644ec50f..b731c350 100755
--- a/installation/sdnc/src/main/scripts/startODL.sh
+++ b/installation/sdnc/src/main/scripts/startODL.sh
@@ -90,11 +90,15 @@ initialize_sdnrdb() {
printf "%s\n" "Execute: $INITCMD"
n=0
until [ $n -ge 5 ] ; do
- $INITCMD && break
+ $INITCMD
+ ret=$?
+ if [ $ret -eq 0 ] ; then
+ break;
+ fi
n=$((n+1))
sleep 15
done
- return $?
+ return $ret
}
install_sdnrwt_features() {
@@ -344,6 +348,10 @@ if $SDNRINIT ; then
init_result=$?
printf "%s\n" "Result of init script: $init_result"
if $SDNRWT ; then
+ if [ $init_result -ne 0 ]; then
+ echo "db not initialized. stopping container"
+ exit $init_result
+ fi
printf "Proceed to initialize sdnr\n"
else
exit $init_result
@@ -397,7 +405,7 @@ then
if $SDNRWT ; then install_sdnrwt_features ; fi
if $ENABLE_OAUTH ; then
cp $SDNC_HOME/data/oauth-aaa-app-config.xml $(find $ODL_HOME/system/org/opendaylight/aaa/ -name *aaa-app-config.xml)
- echo -e "\norg.ops4j.pax.web.session.cookie = none" >> $ODL_HOME/etc/org.ops4j.pax.web.cfg
+ echo -e "\norg.ops4j.pax.web.session.cookie.comment = disable" >> $ODL_HOME/etc/org.ops4j.pax.web.cfg
install_sdnr_oauth_features
fi